# form_field_userptr 3x 2023-11-25 ncurses 6.4 Library calls

    form_field_userptr(3x)           Library calls          form_field_userptr(3x)

## NAME

           set_field_userptr,  field_userptr  -  associate application data with a
           form field

## SYNOPSIS

           #include <form.h>

           int set_field_userptr(FIELD *field, void *userptr);
           void *field_userptr(const FIELD *field);

## DESCRIPTION

           Every form field has a field that can  be  used  to  hold  application-
           specific  data  (that is, the form-driver code leaves it alone).  These
           functions get and set that field.

## RETURN VALUE

           The function field_userptr returns a pointer (which may be  NULL).   It
           does not set errno.

           The function set_field_userptr returns E_OK (success).

## PORTABILITY

           These  routines  emulate  the  System  V  forms library.  They were not
           supported on Version 7 or BSD versions.

           The user pointer is a void pointer.  We chose not to leave it as a char
           pointer for SVr4 compatibility.

## AUTHORS

           Juergen Pfeifer.  Manual pages and adaptation for new curses by Eric S.
           Raymond.

## SEE ALSO

           curses(3x), form(3x)

    ncurses 6.4                       2023-11-25            form_field_userptr(3x)